Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Class UserPriorityManager

    java.lang.Object
      org.jasig.portal.layout.alm.UserPriorityManager

    public class UserPriorityManager

extends java.lang.Object

The user priority manager implementation, manages user priority ranges for aggregated layouts.

Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.2 $
Author:
  Michael Ivanov

Field Summary
`static int` | `DEFAULT_MAX_PRIORITY`
`static int` | `DEFAULT_MIN_PRIORITY`
`private static IUserLayoutStore` | `layoutStore`
`private static int` | `MAX_SIZE`
`private static java.util.Map` | `ranges`

Constructor Summary
`UserPriorityManager()`

Method Summary
`static int[]` | `getPriorityRange(IPerson person)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layoutStore

    private static IUserLayoutStore layoutStore

### ranges

    private static java.util.Map ranges

### MAX_SIZE

    private static final int MAX_SIZE

See Also:
  Constant Field Values

### DEFAULT_MAX_PRIORITY

    public static final int DEFAULT_MAX_PRIORITY

See Also:
  Constant Field Values

### DEFAULT_MIN_PRIORITY

    public static final int DEFAULT_MIN_PRIORITY

See Also:
  Constant Field Values

Constructor Detail

### UserPriorityManager

    public UserPriorityManager()

Method Detail

### getPriorityRange

    public static int[] getPriorityRange(IPerson person)
                                  throws PortalException

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD